package com.webhomecover.model;

import java.text.NumberFormat;

public class Building implements java.io.Serializable
{
	private String propertyType;
	private int bedroomCount;
	private String constructionDate;
	private String constructionType;
	private int marketValue;
	private double insuranceQuote;
	

	public Building()
	{
		super();
	}

	public int getBedroomCount()
	{
		return bedroomCount;
	}

	public String getConstructionDate()
	{
		return constructionDate;
	}

	public String getConstructionType()
	{
		return constructionType;
	}

	public int getMarketValue()
	{
		return marketValue;
	}

	public String getPropertyType()
	{
		return propertyType;
	}

	public double getInsuranceQuote()
	{
		return insuranceQuote;
	}
	
	public String getFormattedInsuranceQuote()
	{
		NumberFormat currencyFormat = NumberFormat.getCurrencyInstance();
		return currencyFormat.format(getInsuranceQuote());
	}
	
	public void setInsuranceQuote(double quote)
	{
		insuranceQuote = quote;
  }
	public void setBedroomCount(int newBedroomCount)
	{
		bedroomCount = newBedroomCount;
	}

	public void setConstructionDate(String newConstructionDate)
	{
		constructionDate = newConstructionDate;
	}

	public void setConstructionType(String newConstructionType)
	{
		constructionType = newConstructionType;
	}

	public void setMarketValue(int newMarketValue)
	{
		marketValue = newMarketValue;
	}

	public void setPropertyType(String newPropertyType)
	{
		propertyType = newPropertyType;
	} 
	
 public String getXmlDocument()
 {
  StringBuffer document = new StringBuffer();
  document.append("<?xml version=\"1.0\"?>");
  document.append(getXmlElement());
  return document.toString();
 }
 
 public String getXmlElement()
 {
  StringBuffer element = new StringBuffer();
  element.append("<building>");
  element.append("<property-type>" + getPropertyType() + "</property-type>");
  element.append("<bedroom-count>" + getBedroomCount() + "</bedroom-count>");
  element.append("<construction-type>" + getConstructionType() + "</construction-type>");
  element.append("<construction-date>" + getConstructionDate() + "</construction-date>");
  element.append("<market-value>" + getMarketValue() + "</market-value>");
  element.append("<insurance-quote>" + getInsuranceQuote() + "</insurance-quote>");
  element.append("</building>");
  return element.toString();
 }
}

